<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/sub_color"
    android:orientation="vertical"
    android:paddingTop="34dp">

    <com.key.board.journey.inputmethod.tools.CustomerTv
        android:id="@+id/top_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="5dp"
        android:text="@string/y_app_name"
        android:textColor="@color/title_color"
        android:textSize="22sp"
        android:textStyle="bold"
        app:apply_font="true" />

    <com.key.board.journey.inputmethod.tools.CustomerTv
        android:id="@+id/subtitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:layout_marginTop="3dp"
        android:visibility="gone"
        android:layout_below="@id/top_title"
        android:layout_marginBottom="5dp"
        android:text="@string/color_sub_title"
        android:textColor="@color/sub_title_color"
        android:textSize="13sp"
        android:textStyle="bold"
        app:apply_font="true" />

    <ViewFlipper
        android:id="@+id/view_flipper"
        android:layout_width="match_parent"
        android:layout_height="170dp"
        android:layout_below="@id/subtitle"
        android:layout_marginStart="16dp"
        android:layout_marginTop="2dp"
        android:layout_marginEnd="16dp"
        android:autoStart="true"
        android:flipInterval="2000"
        android:inAnimation="@anim/in"
        android:outAnimation="@anim/out">

        <androidx.constraintlayout.utils.widget.ImageFilterView
            android:id="@+id/im1"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="fitXY"
            app:roundPercent="0.1" />

        <androidx.constraintlayout.utils.widget.ImageFilterView
            android:id="@+id/im2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="fitXY"
            app:roundPercent="0.1" />

        <androidx.constraintlayout.utils.widget.ImageFilterView
            android:id="@+id/im3"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="fitXY"
            app:roundPercent="0.1" />

        <androidx.constraintlayout.utils.widget.ImageFilterView
            android:id="@+id/im4"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="fitXY"
            app:roundPercent="0.1" />

        <androidx.constraintlayout.utils.widget.ImageFilterView
            android:id="@+id/im5"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="fitXY"
            app:roundPercent="0.1" />
    </ViewFlipper>


    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/viewpager"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/tab_layout"
        android:layout_below="@id/view_flipper" />

    <com.google.android.material.tabs.TabLayout
        android:id="@+id/tab_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:background="@color/transparent"
        app:tabGravity="fill"
        app:tabBackground="@color/white"
        app:tabIndicatorHeight="0dp"
        app:tabMode="fixed"
        app:tabPaddingBottom="0dp"
        app:tabPaddingEnd="0dp"
        app:tabPaddingStart="0dp"
        app:tabPaddingTop="0dp" />


</RelativeLayout>